%global srcname ogr

Name:           python-%{srcname}
Version:        0.20.0
Release:        1%{?dist}
Summary:        One API for multiple git forges

License:        MIT
URL:            https://github.com/packit/ogr
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)

%description
One Git library to Rule!

%package -n     python3-%{srcname}
Summary:        %{summary}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_provides
%if 0%{?fedora} < 33
%{?python_provide:%python_provide python3-%{srcname}}
%endif

%description -n python3-%{srcname}
One Git library to Rule!


%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Feb 05 2021 Packit Service <user-cont-team+packit-service@redhat.com> - 0.20.0-1
# 0.20.0

## Features

- Add and implement `commits_url` property on pull requests (by [@mfocko](https://github.com/mfocko)).
- Implemented `project.exists` for GitHub projects (by [@path2himanshu](https://github.com/path2himanshu)).

## Minor

- Raise more informative exception for `edited` property on GitLab's commit flag (by [@mfocko](https://github.com/mfocko)).

* Thu Jan 07 2021 Packit Service <user-cont-team+packit-service@redhat.com> - 0.19.0-1
# 0.19.0

## Features

- Add and implement `GitProject.default_branch` property, by [@jpopelka](https://github.com/jpopelka), [#515](https://github.com/packit-service/ogr/pull/515)
  - All git forges support changing of a default branch of a repo/project. All newly created Github projects have had 'main' as a default branch instead of 'master' [since October 2020](https://docs.github.com/en/free-pro-team@latest/github/administering-a-repository/changing-the-default-branch).
- PagureService: Make retries parametrizable via `max_retries` argument, by [@csomh](https://github.com/csomh), [#514](https://github.com/packit-service/ogr/pull/514)
  - This way users of a PagureService object can control how failures of API calls are retried.


* Thu Dec 10 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.18.1-1
- Update CHANGELOG.md (Ján Sakáloš)
- 0.18.1 release (Jan Sakalos)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- 0.18.1 release (Release bot)
- Add str for GitProject (used in mocking tests) (Matej Focko)
- Fix str representation of GitlabCommitFlag (Matej Focko)
- Add __str__ for CommitComment (Matej Focko)
- Add an abstract class with binding of repr to str (Matej Focko)
- Trigger scratch koji build for fedora-devel on PRs (Frantisek Lachman)
- [ci.fmf] there's no git-source/ in 'new' Testing Farm (Jiri Popelka)
- Do not pass username to the PagureProject if not fork (Matej Focko)
- Fix parsing of ssh urls and default to https protocol (Matej Focko)
- Update parsing tests (Matej Focko)
- Add more tests to parsing (Matej Focko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Turn off requre in pre-commit CI and move rebase to pre-push (Matej Focko)
- Do not skip bug and security issues by stalebot (Frantisek Lachman)

* Thu Oct 29 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.18.0-1
- new upstream release: 0.18.0

* Thu Oct 15 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.17.0-1
- new upstream release: 0.17.0

* Wed Sep 30 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.16.0-1
- new upstream release: 0.16.0

* Wed Sep 16 2020 rebase-helper <rebase-helper@localhost.local> - 0.15.0-1
- new upstream release: 0.15.0

* Wed Sep 02 2020 rebase-helper <rebase-helper@localhost.local> - 0.14.0-1
- new upstream release: 0.14.0

* Fri Aug 07 2020 Jan Sakalos <sakalosj@gmail.com> - 0.13.0-1
- new upstream release: 0.13.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 09 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.12.2-1
- new upstream release: 0.12.2

* Thu Jun 11 2020 Dominika Hodovska <dhodovsk@redhat.com> - 0.12.1-1
- new upstream release: 0.12.1

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.12.0-2
- Rebuilt for Python 3.9

* Thu May 07 2020 Frantisek Lachman <flachman@redhat.com> - 0.12.0-1
- new upstream release: 0.12.0

* Mon Apr 27 2020 Packit Service <user-cont-team+packit-service@redhat.com> - 0.11.3-1
- new upstream release: 0.11.3

%autochangelog
